{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>tags:write</code>\n\nCreates a new tag in a workspace or organization.\n\nEvery tag is required to be created in a specific workspace or\norganization, and this cannot be changed once set. Note that you can use\nthe workspace parameter regardless of whether or not it is an\norganization.\n\nReturns the full record of the newly created tag.","properties":{"path":{"type":"object","properties":{"workspace_gid":{"type":"string","examples":["12345"],"description":"Globally unique identifier for the workspace or organization."}},"required":["workspace_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["color","created_at","followers","followers.name","name","notes","permalink_url","workspace","workspace.name"]},"examples":[["color","created_at","followers","followers.name","name","notes","permalink_url","workspace","workspace.name"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/TagCreateTagForWorkspaceRequest"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"TagCreateTagForWorkspaceRequest":{"allOf":[{"$ref":"#/definitions/TagBase"},{"type":"object","properties":{"followers":{"type":"array","description":"An array of strings identifying users. These can either be the string \"me\", an email, or the gid of a user.","items":{"type":"string"},"examples":[["12345","42563"]]}}}]},"TagBase":{"allOf":[{"$ref":"#/definitions/TagCompact"},{"type":"object","properties":{"color":{"type":["string","null"],"description":"Color of the tag.","enum":["dark-pink","dark-green","dark-blue","dark-red","dark-teal","dark-brown","dark-orange","dark-purple","dark-warm-gray","light-pink","light-green","light-blue","light-red","light-teal","light-brown","light-orange","light-purple","light-warm-gray",null],"examples":["light-green"]},"notes":{"description":"Free-form textual information associated with the tag (i.e. its description).","type":"string","examples":["Mittens really likes the stuff from Humboldt."]}}}]},"TagCompact":{"description":"A *tag* is a label that can be attached to any task in Asana. It exists in a single workspace or organization.","type":"object","properties":{"name":{"description":"Name of the tag. This is generally a short sentence fragment that fits on a line in the UI for maximum readability. However, it can be longer.","type":"string","examples":["Stuff to buy"]}}}}},"name":"Create a tag in a workspace","id":"asana.createtagforworkspace","example":{"path":{"workspace_gid":"12345"},"body":{}},"maxRequests":1,"summary":false}}